Ir para o conteúdo
Documentação do Endless

TikTok hashtag posts

POST
/social/tiktok_hashtag_posts

Get a TikTok hashtag's stats (total videos, total views) plus its current videos. Use to size a hashtag trend and see what's being posted under it; compare each post's created_at to spot when the trend started accelerating.

Authorization

bearerAuth
AuthorizationBearer <token>

JWT token from authentication

In: header

Header Parameters

Endless-Api-Version?string

Pin the caller to an API major (1). Omit to accept the current version. A major this deployment cannot serve is refused with 400 unsupported_api_version.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/social/tiktok_hashtag_posts" \  -H "Content-Type: application/json" \  -d '{    "organization_id": "string",    "input": {      "hashtag": "string"    }  }'
{  "operation": "instagram_profile",  "result": {    "summary": "string",    "hashtag": "string",    "hashtag_id": "string",    "description": "string",    "video_count": 0,    "view_count": 0,    "count": -9007199254740991,    "posts": [      {        "id": "string",        "url": "string",        "text": "string",        "category": "string",        "region": "string",        "created_at": "string",        "duration_seconds": 0,        "play_count": 0,        "like_count": 0,        "comment_count": 0,        "share_count": 0,        "save_count": 0,        "hashtags": [          "string"        ],        "music": {          "id": "string",          "title": "string",          "author": "string",          "original": true        },        "author": {          "id": "string",          "username": "string",          "nickname": "string",          "verified": true        },        "image_url": "string",        "slide_image_urls": [          "string"        ]      }    ]  },  "requests": 0,  "credits_charged": 0}